package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.TBusiHiddCountMon;

/**
 * 隐患月度统计 服务层
 */
public interface ITBusiHiddCountMonService {

    /**
     * 查询隐患月度统计信息
     * @param id 查询条件
     * @return 隐患月度统计信息
     */
    TBusiHiddCountMon selectTBusiHiddCountMonById(Long id);

    /**
     * 查询隐患月度统计列表
     * @param tBusiHiddCountMon 隐患月度统计查询条件
     * @return 隐患月度统计集合
     */
    List<TBusiHiddCountMon> selectTBusiHiddCountMonList(TBusiHiddCountMon tBusiHiddCountMon);

    /**
     * 新增隐患月度统计
     * @param tBusiHiddCountMon 隐患月度统计信息
     * @return 影响行数
     */
    int insertTBusiHiddCountMon(TBusiHiddCountMon tBusiHiddCountMon);

    /**
     * 修改隐患月度统计
     * @param tBusiHiddCountMon 隐患月度统计信息
     * @return 影响行数
     */
    int updateTBusiHiddCountMon(TBusiHiddCountMon tBusiHiddCountMon);

    /**
     * 删除隐患月度统计
     * @param id 隐患月度统计主键
     * @return 影响行数
     */
    int deleteTBusiHiddCountMonById(Long id);

    /**
     * 批量删除隐患月度统计
     * @param ids 隐患月度统计主键数组
     * @return 影响行数
     */
    int deleteTBusiHiddCountMonByIds(Long[] ids);
}
